Bug 10599 - Uncheck on loan items on the batch item modification tool
Summary: Uncheck on loan items on the batch item modification tool
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Tools (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-07-17 12:44 UTC by Jonathan Druart
Modified: 2014-12-07 20:02 UTC (History)
1 user (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 10599: Clear on loan items on the batch item modification tool (7.72 KB, patch)
2013-07-17 12:46 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 10599: Clear on loan items on the batch item modification tool (7.85 KB, patch)
2013-07-18 02:01 UTC, Liz Rea
Details | Diff | Splinter Review
Bug 10599: Clear on loan items on the batch item modification tool (7.94 KB, patch)
2013-08-16 14:44 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2013-07-17 12:44:37 UTC

    
Comment 1 Jonathan Druart 2013-07-17 12:46:03 UTC Comment hidden (obsolete)
Comment 2 Liz Rea 2013-07-18 02:01:53 UTC Comment hidden (obsolete)
Comment 3 Kyle M Hall 2013-08-16 14:44:48 UTC
Created attachment 20418 [details] [review]
Bug 10599: Clear on loan items on the batch item modification tool

Sometimes when using the batch item modification tool, we would like to
automatically uncheck on loan items.

Test plan:
1/ Go to tools/batchMod.pl.
2/ Enter some barcode (at least 1 should be on loan).
3/ Click on the Continue button.
4/ Click on the "Clear on loan" link.
5/ Check that on loan items are unchecked.

Launch the unit test file:
prove t/db_dependent/Circulation/IsItemIssued.t

http://bugs.koha-community.org/show_bug.cgi?id=10572
Signed-off-by: Liz Rea <liz@catalyst.net.nz>
Works as expected, only modifies items that are checked (still). No regression noted.

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Passes koha-qa.pl, works as advertised.
Comment 4 Galen Charlton 2013-09-18 16:48:43 UTC
Pushed to master.  Thanks, Jonathan!